SoResetMatrixElement(3)

NAME
SoResetMatrixElement

SYNOPSIS

Inherits SoElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const SbMatrix &m)
static const SbMatrix & get (SoState *state)

  Protected Member Functions
virtual ~SoResetMatrixElement ()
virtual void setElt (const SbMatrix &matrix)
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const

  Additional Inherited Members

Constructor & Destructor Documentation

  SoResetMatrixElement::~SoResetMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  void SoResetMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoResetMatrixElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoElement.

  SbBool SoResetMatrixElement::matches (const SoElement * element) const [protected], [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoResetMatrixElement::copyMatchInfo (void) const [protected], [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

Author

Generated automatically by Doxygen for Coin from the source code.